<template>
  <div class="max-w-8xl mx-auto container py-8">
    <ul class="flex justify-center items-center">
      <li v-if="current !== 1 && pages > 1">
        <a
          href="#"
          :title="'Aller à la page précédente (' + (current - 1) + ')'"
          @click="changePage(current - 1, $event)"
        >
          <span
            class="cursor-pointer flex rounded transition duration-150 ease-in-out text-base leading-tight font-bold text-gray-500 hover:text-indigo-700 p-1 focus:outline-none"
          >
            <div class="h-6 w-6 m-1">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                stroke="currentColor"
                fill="none"
                stroke-linecap="round"
                stroke-linejoin="round"
              >
                <path stroke="none" d="M0 0h24v24H0z" />
                <polyline points="15 6 9 12 15 18" />
              </svg>
            </div>
          </span>
        </a>
      </li>

      <li v-for="index in pages" :key="index">
        <a href="#" :title="'Aller à la page ' + (index)" @click="changePage(index, $event)">
          <span
            class="flex  cursor-pointer transition duration-150 ease-in-out w-3 h-3 mx-3 rounded-full focus:outline-none"
            :class="(current === index) ? 'bg-gray-100' : 'bg-gray-400 hover:bg-indigo-700'"
          />
        </a>
      </li>

      <li v-if="current !== pages && pages > 1">
        <a
          href="#"
          :title="'Aller à la page suivante (' + (current + 1) + ')'"
          @click="changePage(current + 1, $event)"
        >
          <span
            class="cursor-pointer flex rounded transition duration-150 ease-in-out text-base leading-tight font-bold text-gray-500 hover:text-indigo-700 p-1 focus:outline-none"
          >
            <div class="h-6 w-6 m-1">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                stroke="currentColor"
                fill="none"
                stroke-linecap="round"
                stroke-linejoin="round"
              >
                <path stroke="none" d="M0 0h24v24H0z" />
                <polyline points="9 6 15 12 9 18" />
              </svg>
            </div>
          </span>
        </a>
      </li>
    </ul>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    current: {
      type: Number,
      default: () => 0
    },
    pages: {
      type: Number,
      default: () => 1
    },
    prefix: {
      type: String,
      default: () => null
    }
  },
  methods: {
    changePage (value: number, $event: Event) {
      $event.preventDefault()
      this.$emit('paginate', value)
    }
  }
})
</script>
